#!/usr/bin/env python
from gimpfu import *

def isolate_ocean (image, layer):
	pdb.gimp_edit_copy(layer)
	pdb.gimp_image_scale(image, image.width + 2, image.height + 2)
	pdb.gimp_context_set_foreground('black')
	pdb.gimp_drawable_fill(layer, 0)
	pdb.gimp_edit_paste(layer, TRUE)
	pdb.gimp_image_merge_down(image, image.layers[0], 0)
	pdb.gimp_image_select_contiguous_color(image, 0, image.layers[0], 0, 0)
	pdb.gimp_image_crop(image, image.width - 2, image.height - 2, 1, 1)

register(
	"python_fu_isolate_ocean",
	"Description 1",
	"Description 2",
	"SteveMi",
	"No restrictions",
	"2017",
	"<Image>/Python/Isolate ocean",
	"*",
	[],
	[],
	isolate_ocean,
			)
main()
